/*
 * Variáveis globais
 */
:root {
	--bs-body-bg: #F5F7FA;

	--cor1: #FFFFFF;
	--cor2: #000000;
	--cor3: #E6EAEE;
	--cor4: #151521;
	--cor5: #435EBE;
	--cor6: #A8AEBB;
	--cor7: #C0281E;
	--cor8: #1E1E2D;

	--cor1-rgb: 255, 255, 255;
	--cor2-rgb: 0, 0, 0;
	--cor3-rgb: 230, 234, 238;
	--cor4-rgb: 21, 21, 33;
	--cor5-rgb: 67, 94, 190;
	--cor6-rgb: 168, 174, 187;
	--cor7-rgb: 192, 40, 30;
	--cor8-rgb: 192, 40, 30;
}

/*
 * Fim variáveis globais
 *
 * Tabelas
 */

.form-error {
	border: 1px solid var(--cor7)!important;
}

.editar_registo,.adicionar_dados_tabela {
	cursor: pointer!important;
}

.cursor-pointer {
	cursor: pointer!important;
}

.botoes_absolute {
	gap: 4px;
	z-index: 1;
	right: 16px;
	bottom: 68px;
	display: flex;
	position: fixed;
	align-items: flex-end;
	flex-direction: column;
	background-color: transparent!important;
}

.botoes_absolute button {
	border-radius: 8px!important;
}

.form-label {
	margin: 0 0 0 0!important;
}

.foto_perfil {
	width: 150px;
	height: 150px;
	overflow: hidden;
	min-width: 150px;
	max-width: 150px;
	min-height: 150px;
	max-height: 150px;
	margin: 12px auto;
	border-radius: 50%;
	overflow: hidden!important;
}

.foto_perfil > .filepond--root {
	height: 100%;
	border-radius: 50%;
}

.foto_perfil > .filepond--drop-label {
	height: 100%;
	display: flex;
	align-items: center;
	justify-content: center;
	cursor: pointer!important;
}

.foto_perfil > .filepond--panel-root {
	border-radius: 50%;
}

.foto_perfil > .filepond--item {
	border-radius: 50%;
	overflow: hidden!important;
}

.avatar-circle {
	width: 100%;
	height: 100%;
	object-fit: cover;
	cursor: pointer!important;
}

.filepond--root .filepond--drop-label,
.filepond--label-action {
	color: var(--cor5)!important;
	text-decoration: none!important;
}

.filepond--panel-root {
	background-color: var(--bs-body-bg)!important;
}


.grid-placeholder {
	background-color: var(--cor1);
	border: 2px dashed var(--cor3);
}


/*
.comment:hover h4,
.comment:hover .comment-time {
	color: var(--cor1)!important;
	transition: 0.2s all ease!important;
}

.comment:hover .btn-primary {
	color: var(--cor5)!important;
	transition: 0.2s all ease!important;
	background-color: var(--cor1)!important;
}
*/

.gs-id-0 > .grid-stack-item > .grid-stack-item-content {
	border: 1px dashed var(--cor6);
}

.fixed {
	bottom: 0;
	width: 100%;
	z-index: 10;
	padding: 10px;
	position: absolute;
	border-radius: 12px;
	background-color: transparent;
}
/*
html[data-bs-theme="dark"] .choices__inner {
	color: #c2c2d9!important;
	border: 1px solid #35354f!important;
}

.choices__inner {
	width: 100%!important;
	height: auto!important;
	display: flex!important;
	color: #495057!important;
	font-size: 13px!important;
	padding: 0 10px!important;
	font-weight: 400!important;
	line-height: 1.5!important;
	appearance: none!important;
	min-height: 35px!important;
	border-radius: 4px!important;
	align-items: center!important;
	-webkit-appearance: none!important;
	border: 1px solid #EAEAEA!important;
	justify-content: flex-start!important;
	background-clip: padding-box!important;
	background-color: #FFFFFF!important;
}*/

.background-painel-title {
	margin: 10px;
	padding: 10px;
	border-radius: 10px;
	background-color: var(--cor5);
}

.divider .divider-text {
	background-color: transparent!important;
}

.divider .divider-text {
	padding: 0 1rem 0 0;
}

.elementos-formulario {
	border: none!important;
	display: flex!important;
	align-items: center!important;
	align-content: center!important;
	flex-direction: column!important;
	justify-content: center!important;
	color: var(--bs-body-color)!important;
	background-color: var(--bs-body-bg)!important;
}


#output {
	padding: 10px;
	margin-top: 10px;
	background: #f4f4f4;
}

#editor {
	width: 100%;
	height: calc(100vh - 305px);
}

#editor-css {
	width: 100%;
	height: calc(100vh - 305px);
}

#preview {
	padding: 10px;
	margin-top: 20px;
}

.elementos-list {
	overflow: auto;
	padding: 0 1.7rem;
	position: relative;
}

.content-area-wrapper {
	height: calc(100vh - 300px)!important;
}

.form-body-grid {
	gap: 10px;
	display: grid;
	grid-auto-rows: auto;
	grid-template-columns: repeat(12, 1fr);
}

.modal-body .nav {
	top: 0!important;
	z-index: 1!important;
	padding: 1rem 0!important;
	position: sticky!important;
	background-color: var(--bs-modal-bg)!important;
	border-bottom: var(--bs-modal-header-border-width) solid var(--bs-modal-header-border-color)!important;
}

/*VOZ*/
.campo-voz {
	position: relative;
}

textarea {
	width: 100%;
	height: 140px;
	padding: 12px 40px 12px 12px;
	font-size: 16px;
	resize: vertical;
}

.btn-voz {
	position: absolute;
	right: 0px;
	bottom: 0px;
	border: none;
	background: transparent;
	font-size: 20px;
	cursor: pointer;
	color: #666;
	transition: color 0.3s;
}

.btn-voz:hover {
	color: #000;
}

.btn-voz.gravando {
	color: red;
	animation: pulse 1s infinite;
}

@keyframes pulse {
	0% {
		transform: scale(1);
	}

	50% {
		transform: scale(1.2);
	}

	100% {
		transform: scale(1);
	}
}
/*FIM VOZ*/

/*
 * Fim geral
 *
 * Media screens
 */

@media screen and (max-width: 1400px) {
	#auth-left {
		padding: 5rem 3rem;
	}
}

@media screen and (max-width: 991px) {
	#auth-left {
		padding: 5rem;
	}
}

@media screen and (max-width: 767px) {
	#auth-left {
		padding: 5rem 3rem;
	}
	.form-body-grid {
		display: block;
	}
}

/*
 * Fim media screens
 */


 
/* ===== Fundo do modal ===== */
.modal {
  display: none;
  position: fixed;
  inset: 0;
  z-index: 1050;
  background-color: rgba(0, 0, 0, 0.5);
  justify-content: center;
  align-items: center;
  opacity: 0;
  transition: opacity 0.3s ease;
}

/* Quando ativo */
.modal.show {
  display: flex;
  opacity: 1;
}

/* ===== Caixa do modal ===== */
.modal-dialog {
  width: 100%;
  max-width: 500px; /* tamanho padrão */
  margin: 0 auto;
  transform: translateY(-20px);
  transition: transform 0.3s ease;
}

.modal.show .modal-dialog {
  transform: translateY(0);
}

/* ===== Tamanhos extras ===== */
.modal-sm {
  max-width: 300px;
}

.modal-lg {
  max-width: 800px;
}

.modal-xl {
  max-width: 1140px;
}

/* ===== Conteúdo ===== */
.modal-content {
  background-color: #fff;
  border-radius: 0.5rem;
  box-shadow: 0 0.5rem 1rem rgba(0,0,0,0.3);
  max-height: calc(100dvh - 120px);
}

/* ===== Cabeçalho, corpo e rodapé ===== */
.modal-header,
.modal-footer {
  padding: 1rem;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.modal-header {
  border-bottom: 1px solid #dee2e6;
}

.modal-footer {
  border-top: 1px solid #dee2e6;
  gap: 0.5rem;
}

.modal-body {
  padding: 1rem;
  overflow: auto;
}

/* ===== Botão fechar ===== */
.btn-close {
  background: none;
  border: none;
  font-size: 1.5rem;
  line-height: 1;
  opacity: 0.5;
  cursor: pointer;
}

.btn-close:hover {
  opacity: 1;
}


.close, .fechar-modal {
  background: none;
  border: none;
  font-size: 1.5rem;
  line-height: 1;
  cursor: pointer;
  opacity: 0.5;
  transition: opacity 0.2s;
}

.close:hover, .fechar-modal:hover {
  opacity: 1;
}

.filepond--file,.filepond--drop-label,.filepond--drop-label{
	cursor: pointer;
}